Skip to main content
GET
/
v0
/
categorization
/
rules
List all Instance rules
curl --request GET \
  --url https://api.sandbox.teal.dev/v0/categorization/rules \
  --header 'Authorization: Bearer <token>' \
  --header 'teal-instance-id: <teal-instance-id>'
import requests

url = "https://api.sandbox.teal.dev/v0/categorization/rules"

headers = {
"teal-instance-id": "<teal-instance-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'teal-instance-id': '<teal-instance-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.teal.dev/v0/categorization/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "next_page_token": "ikal0NEVfMhF8dJf4yQ6KQZmGD",
  "prev_page_token": "vuA7JeKI5c6FLnPt5JfRcZcJxW",
  "records": [
    {
      "id": "<string>",
      "expression": "<string>",
      "ledger_name": "<string>",
      "name": "<string>",
      "priority": 123
    }
  ]
}
{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}
{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}
{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}
{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Headers

teal-instance-id
string
required

The Teal instance ID

Query Parameters

name
string | null

The name of the rule for filtering.

ledger_name
string | null

The ledger name for filtering.

sort
enum<string>[] | null

A comma separated list of sort orders for the results.

Available options:
name,
-name,
ledger_name,
-ledger_name
ids
string[] | null

A comma separated list of Categorization Rule IDs. Only return Rules with the specified IDs. Returns 404 if an ID is not found, 403 if any ID is not authorized.

limit
integer
default:50

The number of records to return. Max limit is 1000.

Required range: x >= 1
page_token
string | null

Opaque page token

Response

Successful Response

next_page_token
string | null
required

The token to use to request the next page

Example:

"ikal0NEVfMhF8dJf4yQ6KQZmGD"

prev_page_token
string | null
required

The token to use to request the previous page

Example:

"vuA7JeKI5c6FLnPt5JfRcZcJxW"

records
CategorizationRule · object[]
required

The categorization rule objects